local sti = require 'sti'

M = {}

function love.load()
	love.graphics.setBackgroundColor(40,40,40)
	map = sti.new("maps/tile_01")
end

function love.update(dt)
	map:update(dt)
end

function love.draw()
	map:draw()

	love.graphics.setColor(255,255,255)

	love.graphics.print(love.timer.getFPS(), 0, 00)

	love.graphics.print(love.mouse.getX(), 0, 40)
	love.graphics.print(love.mouse.getY(), 0, 60)

	local cx, cy = math.ceil(love.mouse.getX() / map.tilewidth), math.ceil(love.mouse.getY() / map.tileheight)

	love.graphics.print(tostring(cx), 0, 80)
	love.graphics.print(tostring(cy), 0, 100)

	-- love.graphics.print(tostring(map.layers['forelayer'].data[cx][cy].gid), 0, 200)
	-- love.graphics.print(tostring(map.layers['collision'].data[cx][cy].gid), 0, 200)
end

function love.keyreleased(key)
	if key == "escape" then
      love.event.quit()
   	end
end